# gdcm::Unpacker12Bits Class Reference

Pack/Unpack 12 bits pixel into 16bits

- You can only pack an even number of 16bits, which means a multiple of 4 (expressed in bytes)
- You can only unpack a multiple of 3 bytes.

More...

`#include <gdcmUnpacker12Bits.h>`

List of all members.

## Static Public Member Functions
static bool | Pack (char *out, const char *in, size_t n)
static bool | Unpack (char *out, const char *in, size_t n)

## Detailed Description

Pack/Unpack 12 bits pixel into 16bits

- You can only pack an even number of 16bits, which means a multiple of 4 (expressed in bytes)
- You can only unpack a multiple of 3 bytes.

## Member Function Documentation

static bool gdcm::Unpacker12Bits::Pack | ( | char * | out,
|  | const char * | in,
|  | size_t | n |
| ) |  |  | `[static]`

Pack an array of 16bits where all values are 12bits into a pack form n is the length in bytes of array in, out will be a fake 8bits array of size n / 2 * 3

static bool gdcm::Unpacker12Bits::Unpack | ( | char * | out,
|  | const char * | in,
|  | size_t | n |
| ) |  |  | `[static]`

Unpack an array of 'packed' 12bits data into a more conventional 16bits array n is the length in bytes of array in, out will be a 16bits array of size n / 3 * 2

The documentation for this class was generated from the following file:

- gdcmUnpacker12Bits.h